Foreman - Feature #12703

Layout aggregated fact value display format
12/04/2015 11:22 AM - herbert koelman

Status: Duplicate
Priority: Normal
Assignee:

Category: Web Interface
Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.9.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description
Aggragated fact's value data are displayed as a basic string:

[{"name"=>"AIX-rpm", "version"=>"7.1.3.15", "release"=>"1"}, {"name"=>"bash", "version"=>"4.2", "r
elease"=>"3"}, {"name"=>"bzip2", "version"=>"1.0.5", "release"=>"3"}, {"name"=>"coreutils", "versi
on"=>"5.2.1", "release"=>"2"}, {"name"=>"ctrlmagt", "version"=>"7.0.00.300", "release"=>"2.1"}, {"
name"=>"gzip", "version"=>"1.2.4a", "release"=>"10"}, {"name"=>"less", "version"=>"382", "release"
=>"1"}, {"name"=>"libevent", "version"=>"2.0.21", "release"=>"1"}, {"name"=>"lsof", "version"=>"4.
87", "release"=>"1"}, {"name"=>"ncurses", "version"=>"5.9", "release"=>"1"}, {"name"=>"nrpe_nsca_a
nd_plugins-pmu", "version"=>"1.3", "release"=>"8"}, {"name"=>"nrpe_nsca_and_plugins-std", "version
"=>"1.01", "release"=>"1"}, {"name"=>"openssl", "version"=>"1.0.le", "release"=>"2"}, {"name"=>"pu
ppet-aix", "version"=>"3.7.3", "release"=>"2"}, {"name"=>"pwmgnt", "version"=>"1.1", "release"=>"1
"}, {"name"=>"readline", "version"=>"6.1", "release"=>"1"}, {"name"=>"rsync", "version"=>"3.0.6",
"release"=>"1"}, {"name"=>"screen", "version"=>"3.9.10", "release"=>"2"}, {"name"=>"sed", "version
"=>"4.1.1", "release"=>"1"}, {"name"=>"sudo", "version"=>"1.8.10p3_pmu", "release"=>"1.1"}, {"name
"=>"tar", "version"=>"1.22", "release"=>"1"}, {"name"=>"tcl", "version"=>"8.4.7", "release"=>"3"},

{"name"=>"tk", "version"=>"8.4.7", "release"=>"3"}, {"name"=>"tmux", "version"=>"1.8", "release"=
>"1"}, {"name"=>"traceroute", "version"=>"1.4al2", "release"=>"2"}, {"name"=>"vim-common", "versio
n"=>"6.3", "release"=>"1"}, {"name"=>"vim-enhanced", "version"=>"6.3", "release"=>"1"}, {"name"=>"
watch", "version"=>"3.2.8", "release"=>"1"}, {"name"=>"wget", "version"=>"1.9.1", "release"=>"2ssl
"}, {"name"=>"zip", "version"=>"2.3", "release"=>"3"}]

This is not very user friendly (see screenshot below).

Would consider using some HTML to display this kind of data in human understable maner :-)
[{"name"=>"AlX-rpm", "version"=>"7.1.3.15", "release"=="1"}, {"name"=>"bash", "version"=>"4.2", "releas =
e"=="3"}, {"name"=="bzip2", "version"=>"1.0.5", "release"=>"3"}, {"name"=>"coreutils", "version"=>"5.2.1
", "release"==>"2"}, {"'name"=>"ctrimagt", "version"=>"7.0.00.300", "release"=>"2.1"}, {"name"=="gzip", "v
ersion"=>"1.2.4a", "release"=>"10"}, {"name"=="less", "version"=>"382", "release"=>"1"}, {"name"=="libe
vent", "version"=>"2.0.21", "release"=>"1"}, {"name"==>"|sof", "version"=>"4_ 87", "release"=>"1"}, {"name"
=="ncurses”, "version"=="5.9", "release"=>"1"}, {"name"=>"nrpe_nsca_and_plugins-pmu", "version"=:"1
3", "release"=="8"}, {"name"=>"nrpe_nsca_and_plugins-std”, "version"=>"1.01", "release"=>"1"}, {"nam
: e"=="openssl", "version"=>"1.0.1e", "release"=>"2"} {"name"=>"puppet-aix", "version"=="3.7.3", "releas
- liste_rpm = e"=>"2"}, {"name"=>"pwmgmt", "version"=>"1.1", "release"=>"1"}, {"name"=>"readline", "version"=>"6.1", @
"release"=="1"}, {"name"=>"rsync", "version"=>"3.0.6", "release"=>"1"}, {"name"=>"screen", "version"=>'
3.9.10", "release"=="2"}, {"name"=="sed", "version"=>"4.1.1", "release"=>"1"}, {"name"=>"sudo", "versio
n"=="1.8.10p3_pmu", "release"=>"1.1"}, {"name"=="tar", "version"=>"1.22", "release"=>"1"}. {"name"=>"t
cl”, "version"=>"8_4.7", "release"=>"3"}, {"name"=>"tk", "version"=>"8.4.7", "release"=>"3"}, {"name"=>"t
mux", "version"=="1.8", "release"=>"1"}, {"name"=="traceroute", "version"=>"1.4a12", "release"=>"2"}, {"
name"=="vim-common", "version"=:"6_3", "release"==>"1"}, {"name"==>"vim-enhanced", "version"==>"6.3",
"release"=>"1"}, {"name"=>="watch", "version"=>"3.2.8", "release"=>"1"}, {"name"=>"wget", "version"=="1.
9.1", "release"=>"25sl"}, {"name"=>"zip", "version"=="2.3", "release"=>"3"}]
Related issues:
Is duplicate of Foreman - Feature #4528: Support Facter 2 structured facts Closed 03/03/2014
History
#1 - 12/07/2015 03:34 AM - Dominic Cleal
- Is duplicate of Feature #4528: Support Facter 2 structured facts added
#2 - 12/07/2015 03:36 AM - Dominic Cleal
- Status changed from New to Duplicate
Thanks, we're tracking this as support for Facter's structured facts in ticket #4528.
